GNU bug report logs - #37454
EPA (The EasyPG Assistant) problems saving .tar.gpg files

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Andrea Cardaci <cyrus.and@HIDDEN>; Keywords: confirmed; dated Wed, 18 Sep 2019 23:32:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added tag(s) confirmed. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 37454 <at> debbugs.gnu.org:


Received: (at 37454) by debbugs.gnu.org; 3 Aug 2020 07:40:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 03 03:40:07 2020
Received: from localhost ([127.0.0.1]:44065 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k2V4o-0000FB-Qi
	for submit <at> debbugs.gnu.org; Mon, 03 Aug 2020 03:40:07 -0400
Received: from quimby.gnus.org ([95.216.78.240]:41800)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1k2V4m-0000Ea-RI
 for 37454 <at> debbugs.gnu.org; Mon, 03 Aug 2020 03:40:05 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=ayxzgXFZI7hfq8d5POX+qzKYsLaOjMpCiI//QvNgjwE=; b=rgv5zgCTysEKZ8wc6k9GJCZWfs
 wePW1WMig05vBIKFBf+ioPWqqt24mifLKUbOx/Bnkb7n605/aXW5AzOI/h75EPbLE1YNywN2j+jyo
 vhd3yHpQP2WWPaSC4KCUdQdSlf+shOay0KH3Z3CMB1HOwldJx6i9heGqI56XLcsnSiYk=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k2V4d-0005e5-JM; Mon, 03 Aug 2020 09:39:59 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Andrea Cardaci <cyrus.and@HIDDEN>
Subject: Re: bug#37454: EPA (The EasyPG Assistant) problems saving .tar.gpg
 files
References: <CACMsj9PkCGRhegZvXWG_PWXMGEoUx-UXrWNdqrKDqdq+VkW4mw@HIDDEN>
 <CACMsj9OhK+aaVaACxtNfqDWy4ADw1Gtof+K0MVEqWdtKhQ3htA@HIDDEN>
 <87sgd4w580.fsf@HIDDEN>
Date: Mon, 03 Aug 2020 09:39:54 +0200
In-Reply-To: <87sgd4w580.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Mon,
 03 Aug 2020 09:36:47 +0200")
Message-ID: <87o8nsw52t.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Lars Ingebrigtsen <larsi@HIDDEN> writes: > However, when
 loading the back again, after displaying the contents, I > get: > > Parsing
 tar file... > File mode specification error: (error Malformed Tar header)
 > > So there's still some bugs in [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37454
Cc: 37454 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> However, when loading the back again, after displaying the contents, I
> get:
>
> Parsing tar file... 
> File mode specification error: (error Malformed Tar header)
>
> So there's still some bugs in this area, apparently...

Sorry; I misinterpreted what Emacs was showing me -- the bug is exactly
as you described: The contents of the encrypted file isn't the tar data,
but what Emacs displayed in the buffer.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37454; Package emacs. Full text available.

Message received at 37454 <at> debbugs.gnu.org:


Received: (at 37454) by debbugs.gnu.org; 3 Aug 2020 07:37:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 03 03:37:01 2020
Received: from localhost ([127.0.0.1]:44050 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k2V1p-00009x-0T
	for submit <at> debbugs.gnu.org; Mon, 03 Aug 2020 03:37:01 -0400
Received: from quimby.gnus.org ([95.216.78.240]:41690)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1k2V1n-00009k-63
 for 37454 <at> debbugs.gnu.org; Mon, 03 Aug 2020 03:36:59 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=KTBRML9hE+Lt8KAegQgnvpuWA2x3gJlSlQFDQHfKfU8=; b=EUx7qHV4V5jg6LoZodSbkHrPWH
 ykfNReMCA+sNcd6Y2lpOHcwm1kHwrFPrsGxQlCW0c8XmqTkKMXe6S0cJ3cq1LP1gqZ5SrwEXDRxM/
 btZanD4ur8oypD6SBA7gqFJfQ5he3HrzNgRl6Dsgs5rd1GRfp7hJne2wMRKInnWVG/lg=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k2V1d-0005bh-7V; Mon, 03 Aug 2020 09:36:52 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Andrea Cardaci <cyrus.and@HIDDEN>
Subject: Re: bug#37454: EPA (The EasyPG Assistant) problems saving .tar.gpg
 files
References: <CACMsj9PkCGRhegZvXWG_PWXMGEoUx-UXrWNdqrKDqdq+VkW4mw@HIDDEN>
 <CACMsj9OhK+aaVaACxtNfqDWy4ADw1Gtof+K0MVEqWdtKhQ3htA@HIDDEN>
Date: Mon, 03 Aug 2020 09:36:47 +0200
In-Reply-To: <CACMsj9OhK+aaVaACxtNfqDWy4ADw1Gtof+K0MVEqWdtKhQ3htA@HIDDEN>
 (Andrea Cardaci's message of "Mon, 9 Dec 2019 13:47:36 +0100")
Message-ID: <87sgd4w580.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Andrea Cardaci <cyrus.and@HIDDEN> writes: > On Thu, 19
 Sep 2019 at 01:31, Andrea Cardaci <cyrus.and@HIDDEN> wrote: >> Now a message
 says "Wrote /tmp/test.tar.gpg" but the `*Keys*` buffer >> is still there
 (that doesn't happen for regular . [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37454
Cc: 37454 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Andrea Cardaci <cyrus.and@HIDDEN> writes:

> On Thu, 19 Sep 2019 at 01:31, Andrea Cardaci <cyrus.and@HIDDEN> wrote:
>> Now a message says "Wrote /tmp/test.tar.gpg" but the `*Keys*` buffer
>> is still there (that doesn't happen for regular .gpg files) and a
>> recursive edit is in progress (there are square brackets around the
>> major modes).
>
> At least this has been fixed in Emacs 27:

I tried the recipe in Emacs 28.1, and I'm not able to reproduce the bugs
as described -- I get an encrypted file that's saved.

file /tmp/test4.tar.gpg
/tmp/test4.tar.gpg: GPG symmetrically encrypted data (AES256 cipher)

However, when loading the back again, after displaying the contents, I
get:

Parsing tar file... 
File mode specification error: (error Malformed Tar header)

So there's still some bugs in this area, apparently...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37454; Package emacs. Full text available.

Message received at 37454 <at> debbugs.gnu.org:


Received: (at 37454) by debbugs.gnu.org; 9 Dec 2019 12:48:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 09 07:48:01 2019
Received: from localhost ([127.0.0.1]:52749 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ieISH-0000pJ-JQ
	for submit <at> debbugs.gnu.org; Mon, 09 Dec 2019 07:48:01 -0500
Received: from mail-io1-f50.google.com ([209.85.166.50]:40109)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cyrus.and@HIDDEN>) id 1ieISG-0000ou-0m
 for 37454 <at> debbugs.gnu.org; Mon, 09 Dec 2019 07:48:00 -0500
Received: by mail-io1-f50.google.com with SMTP id x1so14568125iop.7
 for <37454 <at> debbugs.gnu.org>; Mon, 09 Dec 2019 04:47:59 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to;
 bh=sL7p04cLpKmKueTAkc+ec7cGUswAjCaM6dF7HORB3nc=;
 b=loZFpRwBTltE3Rldt17pdt/mk31vw/T2r2Nrjot0l1roK0/LEj4vBts0rdTTy+0yGE
 y/oYGl5bK9+A7yQE/ACSYBqY8Kd/rGB9ws8R3dyzU3H1iDcMYaR2Hl1WBSGtB9Cy7fW1
 8ZzdWYXO7SJ7V1Qo9viz7AnDS7OdbRt2a1Mh/9AXDdtZcbSGtk/CbRyM/rIjJg5Bzsul
 WXbV+pRMPBTdWcl9/V/xJFwOj0mK+ejjLtsprZzUcD+5xzrKLyUfpHaR9rMWVWR37G9E
 6+VZ1kTOA8798AnH/+qkmc6vV6Oj+zySfPz0okxbkOaTDZeoAgDEbJrpL/9CA8K9otDz
 bcbA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to;
 bh=sL7p04cLpKmKueTAkc+ec7cGUswAjCaM6dF7HORB3nc=;
 b=ky9Jdi6bKrFREArnHWLqxX/zF1vvDwTLQsj7FXPdCXX4SZlVCJUZjQjzPvlrLMMVuk
 jgqEM0YJjbdHRwaVghLNq4RmnTDdk5wgxTKYcQ8rUiv6kC75KAkxQJy5METRZ5FzTAPY
 bmGubYS7+5jDExV1+DKiLWfkNYJpkY3XX3zLa3ZCAh6Ya8bcpY5CX4QHKCp3tNEtTJ8O
 8m+aMTOqWBvwM2yRo8pQFLRLEls5eGk3aD0WSEJizd49mbs5GgLhqRcMUBPoYA2V22DW
 zZKGRZsFeurfMRN3onTIUAMQ1k+dpJ7N/i7zHIw5CXhnHjVjloy8KSkmmSKs9YXu9aRy
 v3HQ==
X-Gm-Message-State: APjAAAVv2+Ffhzcz9JCLCGlQ4rg4MwSuAa3ni+ogTXATVMrvyZAqCbxD
 CGk0CLmwRQYUEa+LdEa8HeZ57UQNF4HzyXAS7hRdPwYyfK8=
X-Google-Smtp-Source: APXvYqxcrxQuEXBIEN22seepaUf0MCjP9VSKkXY4Z3LfLlspxuXhWCvx6MMNgjRlm+2Bse0QHMh+ythNSPxrNKe5iBw=
X-Received: by 2002:a5e:9e43:: with SMTP id j3mr20042145ioq.183.1575895673021; 
 Mon, 09 Dec 2019 04:47:53 -0800 (PST)
MIME-Version: 1.0
References: <CACMsj9PkCGRhegZvXWG_PWXMGEoUx-UXrWNdqrKDqdq+VkW4mw@HIDDEN>
In-Reply-To: <CACMsj9PkCGRhegZvXWG_PWXMGEoUx-UXrWNdqrKDqdq+VkW4mw@HIDDEN>
From: Andrea Cardaci <cyrus.and@HIDDEN>
Date: Mon, 9 Dec 2019 13:47:36 +0100
Message-ID: <CACMsj9OhK+aaVaACxtNfqDWy4ADw1Gtof+K0MVEqWdtKhQ3htA@HIDDEN>
Subject: Re: EPA (The EasyPG Assistant) problems saving .tar.gpg files
To: 37454 <at> debbugs.gnu.org
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37454
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Thu, 19 Sep 2019 at 01:31, Andrea Cardaci <cyrus.and@HIDDEN> wrote:
> Now a message says "Wrote /tmp/test.tar.gpg" but the `*Keys*` buffer
> is still there (that doesn't happen for regular .gpg files) and a
> recursive edit is in progress (there are square brackets around the
> major modes).

At least this has been fixed in Emacs 27:

> GNU Emacs 27.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.5) of 2019-12-04




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37454; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Sep 2019 23:31:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 18 19:31:53 2019
Received: from localhost ([127.0.0.1]:54966 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iAjQP-0003vp-Am
	for submit <at> debbugs.gnu.org; Wed, 18 Sep 2019 19:31:53 -0400
Received: from lists.gnu.org ([209.51.188.17]:60371)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cyrus.and@HIDDEN>) id 1iAjQM-0003vh-KJ
 for submit <at> debbugs.gnu.org; Wed, 18 Sep 2019 19:31:51 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:34433)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <cyrus.and@HIDDEN>) id 1iAjQK-0005WX-Ry
 for bug-gnu-emacs@HIDDEN; Wed, 18 Sep 2019 19:31:50 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: ***
X-Spam-Status: No, score=3.2 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 SPOOFED_FREEMAIL autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <cyrus.and@HIDDEN>) id 1iAjQJ-00085M-RB
 for bug-gnu-emacs@HIDDEN; Wed, 18 Sep 2019 19:31:48 -0400
Received: from mail-io1-xd31.google.com ([2607:f8b0:4864:20::d31]:41412)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <cyrus.and@HIDDEN>) id 1iAjQJ-000851-MO
 for bug-gnu-emacs@HIDDEN; Wed, 18 Sep 2019 19:31:47 -0400
Received: by mail-io1-xd31.google.com with SMTP id r26so3259079ioh.8
 for <bug-gnu-emacs@HIDDEN>; Wed, 18 Sep 2019 16:31:46 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=xhIbxZK6sXJtqgHGO4o/uPUvqGPrjy8LZ1TQZSX1fQE=;
 b=Zu3DboNW6gYnfEWWwTbkOFwpPDcRA6hvAm/qA6l5bQBl0k3MzNn3mHjkXuRqUw0DYQ
 QXy1zgyBSwRbS3C92HHVrsqle5f/JPLBodtCz5M1ReF3Ms9B/b5Cp0oKn35i688xZVuR
 STp7vEBlbITXaqR1IzhDQvyVb0rNYBMQEgGpXo6qenPaNpjt1MLTxCuGgFPOE3RErDSQ
 3k32eSrU0EUAdO8U6fynu0ySoTEj8UuMgkyqcy1lcUEsjeUuZoGlFsYyruj6GP5RCiSI
 ocZyI072pVORNe3vq63qurK4Dd2X0AcpRcZ1V1Ny4E94btwxMtJ64liHl4gpdxyCTm/V
 orMQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=xhIbxZK6sXJtqgHGO4o/uPUvqGPrjy8LZ1TQZSX1fQE=;
 b=s669qOpE8Lu0Or1ZKmCCoGQAjtPfvbQNFM1zORVKIB0wJN+t/bg9/HRG+ZZfQaACJY
 FWQqeINPMzT2wCAH697zndEtY8kxy51Ru6YhDO3Mh2KTCusTPxKuCBVVfHRr/9rkJQES
 ie+bsvHFci1dXXWPZOej/wDjT6OLCynPtHD+UVM3c0jBk1dcaYLXgazDOLh+28f0ivy+
 rWJUlgM6SLYwTVRLix36bEP5DHilDAXM03hrbvBbVaxwjJYnsX5xwEyghKF0HWpB8d7y
 hgS2uPlvqro6+NkyM9V6RVlZYC68WqW6yQ/bZfK8kefTCQm94urcWHQMxXys1mRywBht
 S6cg==
X-Gm-Message-State: APjAAAUHeaNGNZSE7GJuUxEpbMGzoQz2wDOOZoWjOoJOcSi1xaOIY/0+
 4toAgCXDhhbqkwgOS7Idw8yYNJxbDIuL/guttyYPGQQoU20=
X-Google-Smtp-Source: APXvYqyO+T2y9bZ2ud/O6At75OsCkeXMj2GW+2LQizpUJMyOK7XleqMTjMZdzlvzmVsaVzr847yzNPPqH20FZn6cq1k=
X-Received: by 2002:a6b:b503:: with SMTP id e3mr7927537iof.183.1568849505559; 
 Wed, 18 Sep 2019 16:31:45 -0700 (PDT)
MIME-Version: 1.0
From: Andrea Cardaci <cyrus.and@HIDDEN>
Date: Thu, 19 Sep 2019 01:31:34 +0200
Message-ID: <CACMsj9PkCGRhegZvXWG_PWXMGEoUx-UXrWNdqrKDqdq+VkW4mw@HIDDEN>
Subject: EPA (The EasyPG Assistant) problems saving .tar.gpg files
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset="UTF-8"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2607:f8b0:4864:20::d31
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  As the subject says. Here is how to reproduce this; 1. start
 Emacs with `emacs -Q`; 2. find a new file, e.g., `C-x C-f /tmp/test.tar.gpg`; 
 Content analysis details:   (1.1 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (cyrus.and[at]gmail.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
 medium trust [209.51.188.17 listed in list.dnswl.org]
 2.4 SPOOFED_FREEMAIL       No description available.
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.1 (/)

As the subject says. Here is how to reproduce this;

1. start Emacs with `emacs -Q`;

2. find a new file, e.g., `C-x C-f /tmp/test.tar.gpg`;

3. the buffer is in `tar-mode`, create an empty file with `I`;

4. save the Tar buffer `C-x C-s`;

5. the `*Keys*` buffer pops up, mark one key and press the "OK" button.

Now a message says "Wrote /tmp/test.tar.gpg" but the `*Keys*` buffer
is still there (that doesn't happen for regular .gpg files) and a
recursive edit is in progress (there are square brackets around the
major modes).

This is already weird per se, but most importantly the saved file is
just a text file containing the textual content of the Tar buffer:

    $ gpg -d test.tar.gpg
     -rw-r--r--       0/0             0 test

Since the `*Keys*` buffer is still there, trying to mark the key and
pressing the "OK" button again causes the file to be saved again and
exits from the recursive editing, the file has the same content yet
different permissions:

    -rw-r--r-- 1 cyrus cyrus    613 Sep 19 01:19 test.tar.gpg

instead of the previous (and correct):

    -rw------- 1 cyrus cyrus    613 Sep 19 01:14 test.tar.gpg

My Emacs version is the following:

    GNU Emacs 26.1 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.24.4)
of 2019-02-03, modified by Debian

I'm afraid I cannot try a newer version right now. Please let me know
if you need additional information.


Best,
Andrea




Acknowledgement sent to Andrea Cardaci <cyrus.and@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#37454; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 3 Aug 2020 07:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.